Skip to content

Create end user

Request

Create an end user.

Security
ApiKeyAuth(Required scopes: organization.member)
Bodyapplication/jsonrequired

The end user's details

displayNamestring

The contact's display name

emailstring

The contact's primary email address

phoneNumberstring

The contact's primary phone number

additionalEmailsArray of strings, unique

Additional email addresses for the contact

additionalPhoneNumbersArray of strings, unique

Additional phone numbers for the contact

firstNamestring

The contact's first name

lastNamestring

The contact's last name

middleNamesArray of strings

The contact's middle names

avatarUrlstring

The url from which to load the contact's avatar

externalIdstring

Custom external identifier for the contact

POST
/v1/endusers
curl -i -X POST \
  https://dev.dixa.io/v1/endusers \
  -H 'Authorization: YOUR_API_KEY_HERE' \
  -H 'Content-Type: application/json' \
  -d '{
    "displayName": "Alice Brown",
    "email": "alice@brown.com",
    "phoneNumber": "+551155256325",
    "additionalEmails": [
      "alice@secondary.email"
    ],
    "additionalPhoneNumbers": [
      "+5566778899"
    ],
    "firstName": "Alice",
    "lastName": "Brown",
    "middleNames": [],
    "avatarUrl": "http://avatar.url",
    "externalId": "#12345678"
  }'

Responses

The created end user

Bodyapplication/json
dataobject(EndUser)required
Response
{ "data": { "id": "434ce9f5-14c8-4be1-a0a8-f755010deb9b", "createdAt": "2020-12-16T09:41:43Z", "displayName": "Alice Brown", "email": "alice@brown.com", "phoneNumber": "+551155256325", "additionalEmails": [], "additionalPhoneNumbers": [], "firstName": "Alice", "lastName": "Brown", "middleNames": [], "avatarUrl": "https://files.dixa.io/public/image_id", "externalId": "#12345678", "customAttributes": [] } }